Bug 85607 - EDITING : Field date inserts bad font (based on font selection in tools) persistant after change and save
Summary: EDITING : Field date inserts bad font (based on font selection in tools) pers...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC-Fields
  Show dependency treegraph
 
Reported: 2014-10-29 16:15 UTC by Antoine BON
Modified: 2021-01-16 04:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File with the problem (19.50 KB, application/msword)
2014-10-29 16:15 UTC, Antoine BON
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine BON 2014-10-29 16:15:25 UTC
Created attachment 108635 [details]
File with the problem

When inserting an automatic date field, the font type switches to Times New Roman instead of Arial (rest of the text).

I can swich manually (select the text, change font), save, but when i open again, the font of the field is switched to Times again.

The file was created with MSOFFICE.

Does anyone has a clue ?
Comment 1 MM 2014-10-29 17:32:18 UTC
Looks like the fonts in options > ... writer > basic fonts (western) are replaced with the ones that are imported from a (any) file.

If you want to change your (style) font, change it with this option, so

- import file
- change font with option
- resave file
Comment 2 Joel Madero 2014-11-20 06:32:01 UTC
Yeah this is not a bug - the field is controlled by the default font option that MM pointed out. Closing as NOTABUG.

Also - I had someone else open the file in Microsoft Word and it was also Times New Roman.
Comment 3 Joel Madero 2014-11-20 06:33:51 UTC
I changed my mind - I think your second point is valid. If you manually edit the font, and save it, that should stick. 

Setting as:
New
Normal - can prevent professional quality work


Sorry about closing it first, I believe that was incorrect.
Comment 4 QA Administrators 2015-12-20 16:08:54 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-01-03 19:46:58 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2021-01-16 04:18:18 UTC
Dear Antoine BON,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug